Servoy JasperReports Plugin - Defect #634

Can not use the available jrbean.jar with the newly singed
ChartNScript_Servoy JasperReports_Plugin_v.4.0.0.zip

02/18/2013 03:04 PM - Vasil Stefanov

Status: Closed Start date: 02/18/2013
Priority: High Due date:

Assignee: Andrei Costache % Done: 100%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description
Despite the jrbean.jar is signed with the old Servoy certificate the following error happens:

2013-02-18 12:24:01,629 ERROR [AWT-EventQueue-0] com.servoy.j2db.util. Debug - Throwable
[01F03A81-08D9-4CE9-B915-01B438C1488E test_client]

java.lang.NoSuchMethodError:
com.servoy.plugins.jasperreports.JasperReportsPlugin.getScriptObject()Lcom/servoy/j2db/scripting/IScriptObject;
at com.servoy.plugins.jasperreports.bean.JasperReportsServoyViewer.initialize(JasperReportsServoyViewer.java:67)
at com.servoy.j2db.component.ComponentFactory.createBean(ComponentFactory.java:2389)

at com.servoy.j2db.component.ComponentFactory.createComponentEx(ComponentFactory.java:369)
at com.servoy.j2db.component.ComponentFactory.createComponent(ComponentFactory.java:254)

at com.servoy.j2db.smart.dataui.DataRendererFactory.placeElements(DataRendererFactory.java:300)
at com.servoy.j2db.smart.dataui.DataRendererFactory.completeRenderers(DataRendererFactory.java:266)
at com.servoy.j2db.FormController.createDataRenderers(FormController.java:2493)

at com.servoy.j2db.FormController.init(FormController.java:2328)

at com.servoy.j2db.FormManager.leaseFormPanel(FormManager.java:890)

at com.servoy.j2db.scripting.CreationalPrototype.get(CreationalPrototype.java: 163)

at org.mozilla.javascript.ScriptableObject.getProperty(ScriptableObject.java:2141)

at org.mozilla.javascript.ScriptRuntime.getObjectElem(ScriptRuntime.java:1474)

at org.mozilla.javascript.ScriptRuntime.getObjectElem(ScriptRuntime.java:1458)

at org.mozilla.javascript.Interpreter.interpretLoop(Interpreter.java:1442)

at org.mozilla.javascript.Interpreter.interpret(Interpreter.java:837)

at org.mozilla.javascript.InterpretedFunction.call(InterpretedFunction.java:158)

at org.mozilla.javascript.ContextFactory.doTopCall(ContextFactory.java:406)

at org.mozilla.javascript.ScriptRuntime.doTopCall(ScriptRuntime.java:3192)

at org.mozilla.javascript.InterpretedFunction.call(InterpretedFunction.java:156)

at com.servoy.j2db.scripting.ScriptEngine.executeFunction(ScriptEngine.java:574)

at com.servoy.j2db.debug.RemoteDebugScriptEngine.executeFunction(RemoteDebugScriptEngine.java:398)
at com.servoy.j2db.FormController.executeFunction(FormController.java:4933)

at com.servoy.j2db.FormController.executeFunction(FormController.java:4814)

at com.servoy.j2db.FormController.executeFunction(FormController.java:4681)

at com.servoy.j2db.FormController$ScriptExecuter.executeFunction(FormController.java:4526)

at com.servoy.j2db.ui.BaseEventExecutor.fireEventCommand(BaseEventExecutor.java:271)

at com.servoy.j2db.ui.BaseEventExecutor.fireActionCommand(BaseEventExecutor.java:217)

at com.servoy.j2db.ui.BaseEventExecutor.fireActionCommand(BaseEventExecutor.java:212)

at com.servoy.j2db.smart.dataui.AbstractScriptButton$2.actionPerformed(AbstractScriptButton.java:656)
at javax.swing.AbstractButton.fireActionPerformed(Unknown Source)

at javax.swing.AbstractButton$Handler.actionPerformed(Unknown Source)

at javax.swing.DefaultButtonModel.fireActionPerformed(Unknown Source)

at javax.swing.DefaultButtonModel.setPressed(Unknown Source)

at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(Unknown Source)

at java.awt. AWTEventMulticaster.mouseReleased(Unknown Source)

at java.awt.Component.processMouseEvent(Unknown Source)

at javax.swing.JComponent.processMouseEvent(Unknown Source)

at java.awt.Component.processEvent(Unknown Source)

at java.awt.Container.processEvent(Unknown Source)

at java.awt.Component.dispatchEventimpl(Unknown Source)

at java.awt.Container.dispatchEventimpl(Unknown Source)

at java.awt.Component.dispatchEvent(Unknown Source)
at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)

at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)

at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)

at java.awt.Container.dispatchEventimpl(Unknown Source)

at java.awt.Window.dispatchEventimpl(Unknown Source)

at java.awt.Component.dispatchEvent(Unknown Source)

at java.awt.EventQueue.dispatchEventlmpl(Unknown Source)

at java.awt.EventQueue.access$400(Unknown Source)

at java.awt.EventQueue$2.run(Unknown Source)

at java.awt.EventQueue$2.run(Unknown Source)

at java.security.AccessController.doPrivileged(Native Method)

at java.security.AccessControlContext$1.dolIntersectionPrivilege(Unknown Source)
at java.security.AccessControlContext$1.dolntersectionPrivilege(Unknown Source)
at java.awt.EventQueue$3.run(Unknown Source)

at java.awt.EventQueue$3.run(Unknown Source)

at java.security.AccessController.doPrivileged(Native Method)

at java.security.AccessControlContext$1.dolntersectionPrivilege(Unknown Source)
at java.awt.EventQueue.dispatchEvent(Unknown Source)

at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)

at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)

at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)

at java.awt.EventDispatchThread.pumpEvents(Unknown Source)

at java.awt.EventDispatchThread.pumpEvents(Unknown Source)

at java.awt.EventDispatchThread.run(Unknown Source)

History

#1 - 02/18/2013 03:14 PM - Andrei Costache

Just uploaded a new jrbean signed with the new certificate. Please try with the new one.

Regards,
Andrei

#2 - 02/18/2013 03:57 PM - Vasil Stefanov
Yes, it works with the new one!
Andrei Costache wrote:
Just uploaded a new jrbean signed with the new certificate. Please try with the new one.

Regards,
Andrei

#3 - 02/18/2013 04:14 PM - Andrei Costache
- Status changed from New to Closed
- Assignee set to Andrei Costache

- % Done changed from 0 to 100

Great to hear!
| had forgotten to sign the bean along with the plugin builds. Sorry about that.

Regards,
Andrei
